package com.ym.mec.biz.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ym.mec.biz.dal.dto.PlatformServeDto;
import com.ym.mec.biz.dal.entity.PlatformServe;
import com.ym.mec.biz.dal.vo.PlatformServeInfoVo;
import com.ym.mec.biz.dal.vo.PlatformServeModeVo;
import com.ym.mec.biz.dal.vo.PlatformServePageVo;
import com.ym.mec.common.page.PageInfo;

import java.util.List;

public interface PlatformServeService extends IService<PlatformServe> {

    void addServe(PlatformServeDto obj);

    void updateServe(PlatformServeDto obj);

    void deleteServe(Integer id);

    PageInfo<PlatformServePageVo> queryPage(String search, Integer page, Integer rows);

    PlatformServePageVo queryProductNameById(Integer id);

    PlatformServeInfoVo queryInfo(Integer id);

    List<PlatformServeModeVo> queryModeDetail(Integer id);
}
